org.eclipse.wst.jsdt.chromium.wip

## Interface WipJavascriptVm

All Superinterfaces:
  JavascriptVm

    public interface WipJavascriptVm
    extends JavascriptVm

WIP-specific extension to `JavascriptVm`.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.wst.jsdt.chromium.JavascriptVm

`JavascriptVm.BreakpointCallback, JavascriptVm.ExceptionCatchMode, JavascriptVm.ListBreakpointsCallback, JavascriptVm.ScriptsCallback, JavascriptVm.SuspendCallback`

### Method Summary

All Methods Instance Methods Abstract Methods
`PermanentRemoteValueMapping` `createPermanentValueMapping(java.lang.String id)` Creates new `PermanentRemoteValueMapping`.
`EvaluateToMappingExtension` `getEvaluateWithDestinationMappingExtension()`

### Methods inherited from interface org.eclipse.wst.jsdt.chromium.JavascriptVm

`detach, enableBreakpoints, getBreakpointTypeExtension, getFunctionScopeExtension, getIgnoreCountBreakpointExtension, getRestartFrameExtension, getScripts, getVersion, isAttached, listBreakpoints, setBreakOnException, setBreakpoint, suspend`

### Method Detail

#### createPermanentValueMapping

    PermanentRemoteValueMapping createPermanentValueMapping(java.lang.String id)

Creates new `PermanentRemoteValueMapping`. If the groups with the same id already exists, another copy of local caches will be created which might be undesired result. It is user's responsibility to choose unique group id.

#### getEvaluateWithDestinationMappingExtension

    EvaluateToMappingExtension getEvaluateWithDestinationMappingExtension()

Returns:
  extension to evaluate operations that supports `RemoteValueMapping`; not null